AMPLE README:

1. License
----------

See COPYING in the same dir as this file


2. Installation
---------------

./configure
make
make install

This should compile and move the binary to a suitable dir (/usr/local/bin).
Create a config file (see ample.conf manual page for all available options) 
and move it to a suitable dir (/usr/local/etc).

Then start the server with:
<dir>/ample
or (if you put the config file in a different place):
<dir>/ample -f/usr/local/somewhere/ample.conf
for example:
/usr/local/bin/ample -f/usr/local/somewhere/ample.conf

This will start AMPLE, and make it a background process.

Alternatively if you want to use AMPLE trough inetd, add a line like this:
<port> "stream" "tcp" "nowait" <user> <path to ample> <executable name and cmd line options>
for example:
1234 stream tcp nowait david /home/david/cvs/ample/src/ample ample

For more details, read the ample, ample.conf and ample.html man pages 
that were installed at the same time as the program itself 
(they can also be found in the docs dir of the source directory).

3. Options
----------

  -p, --port=NUMBER           which port to listen to, default 1234
  -o, --order                 play MP3 files in alphabetical order
  -c, --clients=NUMBER        how many clients are allowed to be connected
                              default 5
  -n, --norecursive           don't index MP3 files in subdirs of the given dir
  -f, --conffile=FILENAME     alternative file to read for config options
  -m, --htmlfile=FILENAME     file to use as template for HTML output
  -h, --help                  display this help and exit
  -d, --debug[=NUMBER]        debug messages will be printed
                              higher number means more detail
  -t, --trace                 no forking, no backgrounding
                              helpful when debugging
  -v, --version               output version information and exit


4. Notes
--------

AMPLE can use three kinds of paths to build it's index of MP3 files:

o Directories
Will be scanned (possibly recursively) for MP3 files.

o MP3 files
The single file will be added.

o M3U (playlist) files
All MP3 files listed in the playlist (that are found) are added.

You can connect with a web browser to an URL ending with index.html 
and (if it exists) Ample will generate a listing of available files.

You can also connect with a web browser to an URL ending with
info.html and Ample will generate a status page.

All default paths (for log files, config files, etc) can be set using 
command line options to the "configure" script.

For clients that support it, AMPLE now sends ShoutCast-type metadata 
(songtitles that is), this is tested and should work on (at least) 
XMMS and WinAmp.

To enable ShoutCast-type metadata in XMMS, make sure the following 
setting is checked:

Options->Preferences->MPEG Layer 1/2/3 Player->Configure->
Streaming->Enable SHOUT/Icecast streaming

If not, you will only see something like http://localhost:1234 
in the song title window.


5. Bugs
-------

Quite a few probably, too radical changes right now.


6. Other
--------

For other info, see http://ample.sf.net/
